import { Component, ViewChild } from '@angular/core';

import { WjPopup } from 'wijmo/wijmo.angular2.input';
import * as wjCore from 'wijmo/wijmo';
import * as wjInput from 'wijmo/wijmo.input';
@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  title = 'Wijmo Popup Center';

  @ViewChild('popup') dialog: wjInput.Popup;

  showDialog() {
      this.dialog.show();
  }
  dialogShown(s: wjInput.Popup, e: wjCore.EventArgs) {
      s.hostElement.style.left = (window.innerWidth / 2 - s.hostElement.offsetWidth / 2) + 'px';
  }
}
